
// Binary structure for data layout.


#define BIN_ID         (0x31425253L)  // 'SRB1'
#define BIN_REV        (0x00000001L)  // BIN layout Rev 1

#define MAXCHANNELS     8             // max num channels for any USBxCH

struct BinRecord {

        int     Id;                   // BIN ID field
        int     Rev;                  // BIN Rev number

        SRINT64 Sample;               // USBxCH sample count

        int     Analog[MAXCHANNELS];  // supports both USB4CH and USB8CH
        
        int     reserved_1;
        int     reserved_2;
        int     reserved_3;
        int     reserved_4;
        
        int     PpsToggleCount;       // PPS count
        int     reserved_5;

        char    reserved_6;
        char    DigitalAll;           // four digital inputs
        char    PpsToggle;            // PPS square wave
        char    reserved_7;
        
        char    VoltageGood;          // power history
        char    NumSat;               // number GPS satellites
        char    Trigger;              // amplitude trigger satisfied
        char    reserved_8;
        
        int     Lat10K;               // Latitude  times 10000 +N,-S 
        int     Lon10K;               // Longitude times 10000 -W,+E 
        int     Alt10K;               // Altitude  times 10000 in meters 
        int     DegC2;                // Degrees C times 2

        int     reserved_9;
        int     reserved_10;
        
        SRINT64 reserved_11;
        SRINT64 reserved_12;
        SRINT64 reserved_13;
        SRINT64 reserved_14;
        SRINT64 reserved_15;
        SRINT64 reserved_16;
        SRINT64 TimeStamp;           // time in nanoseconds since 1970

        SRINT64 reserved_17;
        SRINT64 reserved_18;
        
        };

