# FILE: Plot3.gp
# COPYRIGHT (c): Symmetric Research, 2010-2016
#
# This GnuPlot file skips through the data from the USB8CH file 
# DvmSolar.fw8 plotting selected points as sample number versus 
# channel 0 data.  See Plot1.gp for a brief description of this file.
#
# Sometimes there is so much data in a file that it is not necessary to plot
# all the points.  The "every" option to the plot command allows plotting
# a regular subset of the data.  The subset is specified by six arguments,
# separated by colons and arranged as three pairs.  The first argument of
# each pair controls, respectively, the increment, starting number, and ending
# number relating to data points.  The second argument of each pair relates
# to data blocks and can be ignored by just leaving its position between the
# colons blank since USBxCH files contain only a single data block.  The 
# command below plots every other data point starting with point number 30 and 
# ending with point number 90.
#
# This plot is nice, but it would be even better to have nice labels and
# additional formatting.  Plot4.gp does this.
#

plot "DvmSolar.fw8" using 1:2 every 2::30::90
