// FILE: WaitUntilReady.c (LINUX VERSION)
// COPYRIGHT: (c), Symmetric Research, 2010-2017
//
// WaitUntilReady is a helper program that can be easily called from a
// batch file such as SleepWake.bat.  It waits for the READY_EVENT to be
// signaled and then exits.
//

#include <sys/timerfd.h>
#include <time.h>

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>	// for read, close


#define READY_EVENT "ReadyEvent"

int WaitForEvent( char *EventName );


int main( void ) {

        if ( WaitForEvent( READY_EVENT ) )
                exit( 0 );
        else {
                printf( "WaitUntilReady failed wait for event call.\n" );
                exit( 1 );
                }
}

int WaitForEvent( char *EventName ) {

        int                EventHandle, Result, nbytes;
        unsigned long long missed;      // uint64_t


        // Open or create event.

//        EventHandle = CreateEvent( );
        EventHandle = -1;
        if ( EventHandle == -1 )
                return( 0 );

        
        // Wait for the event to be signaled and clear it with ResetEvent.
        // First time is just for flushing pipeline, second time is for real.

        nbytes = read( EventHandle, &missed, sizeof( missed ) );
        
        if ( missed > 0 )
                Result = 0;
        else
                Result = 1;

        if ( Result ) {
//                ResetEvent( EventHandle );

                nbytes = read( EventHandle, &missed, sizeof( missed ) );

                if ( missed > 0 )
                        Result = 0;
                else
                        Result = 1;

//                if ( Result )
//                        ResetEvent( EventHandle );
//                consider eventfd_read/eventfd write
                }
        
        close( EventHandle );

        return( Result );
}
