#
#       Startstop (Unix Version -- Linux) Configuration File
#
#    <nRing> is the number of transport rings to create.
#    <Ring> specifies the name of a ring followed by it's size
#    in kilobytes, eg        Ring    WAVE_RING 1024
#    The maximum size of a ring depends on your operating system, 
#    amount of physical RAM and configured virtual (paging) memory 
#    available. A good place to start is 1024 kilobytes. 
#    Ring names are listed in file earthworm.d.
#
# refer to the wiki for how to change your specific system's shared memory
# size - if you encounter problems with large or too many rings, this is probably
# the issue.


 nRing               3
 Ring   WAVE_RING 1024
 Ring   PICK_RING 1024
 Ring   HYPO_RING 1024
#
 MyModuleId      MOD_STARTSTOP  # Module Id for this program
 HeartbeatInt    15             # Heartbeat interval in seconds
 MyClassName     OTHER          # For this program
 MyPriority      0              # For this program
 LogFile         1              # 1=write a log file to disk, 0=don't
 KillDelay       30             # seconds to wait before killing modules on
                                #  shutdown
 HardKillDelay   5              # number of seconds to wait on hard shutdown
                                #  for a child to respond to KILL signal
                                #  If missing or 0, no KILL signal will be sent
# statmgrDelay   2              # Uncomment to specify the number of seconds
                                # to wait after starting statmgr 
                                # default is 1 second
#maxStatusLineLen 80            # Uncomment to specify length of lines in status

#
#
 Process          "statmgr statmgr.d"
 Class/Priority    OTHER 0
#
 Process          "wave_serverV wave_serverV.d"
 Class/Priority    OTHER 0
#
#
# If you are running with a USBxCH, comment in this sr2ew section
#   to acquire data (default).  Configuration info is hardwired to
#   come from "%EW_PARAMS%/sr2ew.d".
#
 Process          "sr2ew"
 Class/Priority    OTHER 0
#
#
# If you are getting data from the SR Bin2Seed example, comment in
#   this mseedarchplayer section.
#
# Process          "mseedarchplayer mseedarchplayer.d"
# Class/Priority    OTHER 0
#
#
# If you want to send the acquired data to another system, comment in
#   the export_generic section (for example when running on a Beagle).
#
# Process          "export_generic export_generic.d"
# Class/Priority    OTHER 0
#
#
# If you are getting data from another system (for example a Beagle), 
#   comment in the import_generic section.
#
# Process          "import_generic import_generic.d"
# Class/Priority    OTHER 0
#
#
# If you are getting data by copying files from another machine (for example
#   a Windows machine), comment in this tankplayer section.
#
# Process          "tankplayer tankplayer.d"
# Class/Priority    OTHER 0
#
#
